// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 1993 - 1995 - Anders Holtsberg
// Copyright (C) 1998 - 2000 - Mathematique Universite de Paris-Sud - Jean Coursol
// Copyright (C) INRIA
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

// STIXTEST Demonstrate more stixbox routines.


// Create a new graphic window (avoid interacting with the demo window)
scf();
disp('Compare the exact CDF and the empirical CDF for various distributions.');
disp('When paused with -->halt() enter return key to continue')
halt()
n=10000;
y=1:10000;
z=y/2000;
y=y/10000;
modele='exp';
for lambda=1:2
  clf()
  x=-gsort(-rexpweib(n,lambda));  
  F=1-exp(-lambda*z);
  stairs(x,y);
  plot(z,F)
  legend(["Exact CDF" "Empirical CDF"])
  title(modele+" lambda=" + string(lambda));
  halt()
end

//
// Load this script into the editor
//
filename = "stixtest.dem.sce";
dname = get_absolute_file_path(filename);
editor ( fullfile(dname,filename) );

