// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 1993 - 1995 - Anders Holtsberg
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function [v]=identify(x,y,arg3,arg4)
v=[];
[nargout,nargin] = argn(0)
//IDENTIFY  Identify points on a plot by clicking with the mouse.
// 
//          v = identify(x,y)
// 
//	   This routine plots x versus y and waits for mouse clicks
//	   to identify points. Click with left button on points and
//	   end with middle button. Plotsymbol and text strings are
//	   optional input arguments.
 
       

 
plotsymbol = '*';
textvector = 1:size(x,'*');
for i = 3:nargin
  if i==3 then
    A = arg3;
  else
    A = arg4;
  end
  if size(A,'*')==1 then
    plotsymbol = A;
  elseif size(A,'*')==size(x,'*') then
    if min(size(A))==1 then
      A = A(:);
    end
    textvector = A;
  else
    error('Argument incompatibility');
  end
end

//mtlb_plot(x,y,plotsymbol);
if nargin > 2 then
  plot2d(x,y,-3,'000')
else
plot2d(x,y,-9)
end;
cx = cov(x);
cy = cov(y);
v = [];
B = 1;
while B==1|B==4 then
//  [xc,yc,B] = mtlb_ginput(1);
  xinfo('click left to get a point, click middle to leave')
  [B,xc,yc]=xclick();B=B+1;

  if B==1|B==4 then
    d = (x-xc).^2/cx+(y-yc).^2/cy;
    if min(size(d))==1 then 
      [d,i]=gsort(d)
    else 
      [d,i]=gsort(d,'r')
    end
    i=i($)
    v = [v;i];
    if type(textvector)==10 then
      xstring(xc,yc,textvector(i,:));
    else
      xstring(xc,yc,sprintf(' %g',textvector(i)));
    end
  end
end
xinfo('')
endfunction
