// Copyright (C) 2010 - DIGITEO - Michael Baudin
// Copyright (C) 2006 - INRIA - Serge Steer
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

function stairs(x,y)
  // Plots the Empirical Cumulated Distribution.
  //
  // Calling Sequence
  //   stairs(x,y)
  //
  // Parameters
  //   x : a matrix of doubles
  //   y : a matrix of doubles
  //
  // Description
  // Plot the Empirical Cumulated Distribution graph of x and y.
  //
  // Examples
  // n=10000;
  // y=1:10000;
  // y=y/10000;
  // lambda = 1;
  // x=-gsort(-rexpweib(n,lambda));
  // scf();
  // stairs(x,y);
  //
  // Authors
  // Copyright (C) 2010 - DIGITEO - Michael Baudin
  // Copyright (C) 2006 - INRIA - Serge Steer
  //


  f=gcf();
  D=f.immediate_drawing;
  f.immediate_drawing='off';
  plot2d(x(:),y(:))
  e=gce();
  e.children.polyline_style=2;
  f.immediate_drawing=D;
endfunction
